import{S as Te,i as ye,s as be,e as r,k as l,w as D,t as N,M as Ee,c as n,d as t,m as p,a,x as C,h as V,b as i,G as o,g as m,y as I,L as Le,q as U,o as q,B as H,v as Pe}from"../../../../chunks/vendor-hf-doc-builder.js";import{D as we}from"../../../../chunks/Docstring-hf-doc-builder.js";import{I as le}from"../../../../chunks/IconCopyLink-hf-doc-builder.js";function Fe(pe){let c,O,d,_,E,$,Y,L,Z,B,u,g,P,w,ee,F,te,G,f,T,oe,k,re,J,h,x,A,y,ne,M,ae,R,v,b,ie,S,se,j;return $=new le({}),w=new le({}),T=new we({props:{name:"optimum.exporters.tflite.export",anchor:"optimum.exporters.tflite.export",parameters:[{name:"model",val:": TFPreTrainedModel"},{name:"config",val:": TFLiteConfig"},{name:"output",val:": Path"}],parametersDescription:[{anchor:"optimum.exporters.tflite.export.model",description:`<strong>model</strong> (<code>TFPreTrainedModel</code>) &#x2014;
The model to export.`,name:"model"},{anchor:"optimum.exporters.tflite.export.config",description:`<strong>config</strong> (<a href="/docs/optimum/v1.7.1/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a>) &#x2014;
The TFLite configuration associated with the exported model.`,name:"config"},{anchor:"optimum.exporters.tflite.export.output",description:`<strong>output</strong> (<code>Path</code>) &#x2014;
Directory to store the exported TFLite model.`,name:"output"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/exporters/tflite/convert.py#L135",returnDescription:`
<p>A tuple with an ordered list of the model\u2019s inputs, and the named inputs from
the TFLite configuration.</p>
`,returnType:`
<p><code>Tuple[List[str], List[str]]</code></p>
`}}),y=new le({}),b=new we({props:{name:"optimum.exporters.tflite.validate_model_outputs",anchor:"optimum.exporters.tflite.validate_model_outputs",parameters:[{name:"config",val:": TFLiteConfig"},{name:"reference_model",val:": TFPreTrainedModel"},{name:"tflite_model_path",val:": Path"},{name:"tflite_named_outputs",val:": typing.List[str]"},{name:"atol",val:": typing.Optional[float] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.validate_model_outputs.config",description:`<strong>config</strong> (<a href="/docs/optimum/v1.7.1/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a> &#x2014;
The configuration used to export the model.`,name:"config"},{anchor:"optimum.exporters.tflite.validate_model_outputs.reference_model",description:`<strong>reference_model</strong> (<code>~TFPreTrainedModel</code>) &#x2014;
The model used for the export.`,name:"reference_model"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_model_path",description:`<strong>tflite_model_path</strong> (<code>Path</code>) &#x2014;
The path to the exported model.`,name:"tflite_model_path"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_named_outputs",description:`<strong>tflite_named_outputs</strong> (<code>List[str]</code>) &#x2014;
The names of the outputs to check.`,name:"tflite_named_outputs"},{anchor:"optimum.exporters.tflite.validate_model_outputs.atol",description:`<strong>atol</strong> (<code>Optional[float]</code>, defaults to <code>None</code>) &#x2014;
The absolute tolerance in terms of outputs difference between the reference and the exported model.`,name:"atol"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/exporters/tflite/convert.py#L37",raiseDescription:`
<ul>
<li><code>ValueError</code> \u2014 If the outputs shapes or values do not match between the reference and the exported model.</li>
</ul>
`,raiseType:`
<p><code>ValueError</code></p>
`}}),{c(){c=r("meta"),O=l(),d=r("h1"),_=r("a"),E=r("span"),D($.$$.fragment),Y=l(),L=r("span"),Z=N("Export functions"),B=l(),u=r("h2"),g=r("a"),P=r("span"),D(w.$$.fragment),ee=l(),F=r("span"),te=N("Main functions"),G=l(),f=r("div"),D(T.$$.fragment),oe=l(),k=r("p"),re=N("Exports a TensorFlow model to a TensorFlow Lite model."),J=l(),h=r("h2"),x=r("a"),A=r("span"),D(y.$$.fragment),ne=l(),M=r("span"),ae=N("Utility functions"),R=l(),v=r("div"),D(b.$$.fragment),ie=l(),S=r("p"),se=N("Validates the export by checking that the outputs from both the reference and the exported model match."),this.h()},l(e){const s=Ee('[data-svelte="svelte-1phssyn"]',document.head);c=n(s,"META",{name:!0,content:!0}),s.forEach(t),O=p(e),d=n(e,"H1",{class:!0});var z=a(d);_=n(z,"A",{id:!0,class:!0,href:!0});var me=a(_);E=n(me,"SPAN",{});var ce=a(E);C($.$$.fragment,ce),ce.forEach(t),me.forEach(t),Y=p(z),L=n(z,"SPAN",{});var de=a(L);Z=V(de,"Export functions"),de.forEach(t),z.forEach(t),B=p(e),u=n(e,"H2",{class:!0});var K=a(u);g=n(K,"A",{id:!0,class:!0,href:!0});var ue=a(g);P=n(ue,"SPAN",{});var fe=a(P);C(w.$$.fragment,fe),fe.forEach(t),ue.forEach(t),ee=p(K),F=n(K,"SPAN",{});var he=a(F);te=V(he,"Main functions"),he.forEach(t),K.forEach(t),G=p(e),f=n(e,"DIV",{class:!0});var Q=a(f);C(T.$$.fragment,Q),oe=p(Q),k=n(Q,"P",{});var ve=a(k);re=V(ve,"Exports a TensorFlow model to a TensorFlow Lite model."),ve.forEach(t),Q.forEach(t),J=p(e),h=n(e,"H2",{class:!0});var W=a(h);x=n(W,"A",{id:!0,class:!0,href:!0});var _e=a(x);A=n(_e,"SPAN",{});var ge=a(A);C(y.$$.fragment,ge),ge.forEach(t),_e.forEach(t),ne=p(W),M=n(W,"SPAN",{});var xe=a(M);ae=V(xe,"Utility functions"),xe.forEach(t),W.forEach(t),R=p(e),v=n(e,"DIV",{class:!0});var X=a(v);C(b.$$.fragment,X),ie=p(X),S=n(X,"P",{});var $e=a(S);se=V($e,"Validates the export by checking that the outputs from both the reference and the exported model match."),$e.forEach(t),X.forEach(t),this.h()},h(){i(c,"name","hf:doc:metadata"),i(c,"content",JSON.stringify(ke)),i(_,"id","export-functions"),i(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(_,"href","#export-functions"),i(d,"class","relative group"),i(g,"id","optimum.exporters.tflite.export"),i(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(g,"href","#optimum.exporters.tflite.export"),i(u,"class","relative group"),i(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(x,"id","optimum.exporters.tflite.validate_model_outputs"),i(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(x,"href","#optimum.exporters.tflite.validate_model_outputs"),i(h,"class","relative group"),i(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){o(document.head,c),m(e,O,s),m(e,d,s),o(d,_),o(_,E),I($,E,null),o(d,Y),o(d,L),o(L,Z),m(e,B,s),m(e,u,s),o(u,g),o(g,P),I(w,P,null),o(u,ee),o(u,F),o(F,te),m(e,G,s),m(e,f,s),I(T,f,null),o(f,oe),o(f,k),o(k,re),m(e,J,s),m(e,h,s),o(h,x),o(x,A),I(y,A,null),o(h,ne),o(h,M),o(M,ae),m(e,R,s),m(e,v,s),I(b,v,null),o(v,ie),o(v,S),o(S,se),j=!0},p:Le,i(e){j||(U($.$$.fragment,e),U(w.$$.fragment,e),U(T.$$.fragment,e),U(y.$$.fragment,e),U(b.$$.fragment,e),j=!0)},o(e){q($.$$.fragment,e),q(w.$$.fragment,e),q(T.$$.fragment,e),q(y.$$.fragment,e),q(b.$$.fragment,e),j=!1},d(e){t(c),e&&t(O),e&&t(d),H($),e&&t(B),e&&t(u),H(w),e&&t(G),e&&t(f),H(T),e&&t(J),e&&t(h),H(y),e&&t(R),e&&t(v),H(b)}}}const ke={local:"export-functions",sections:[{local:"optimum.exporters.tflite.export",title:"Main functions"},{local:"optimum.exporters.tflite.validate_model_outputs",title:"Utility functions"}],title:"Export functions"};function Ae(pe){return Pe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ne extends Te{constructor(c){super();ye(this,c,Ae,Fe,be,{})}}export{Ne as default,ke as metadata};
